# Class ManagedUtil

java.lang.Object
org.apache.zookeeper.jmx.ManagedUtil

public class ManagedUtil extends Object
Shared utilities

## Constructor Summary

Constructors
Constructor
Description
`ManagedUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerLog4jMBeans()`
Register the log4j JMX mbeans.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManagedUtil

public ManagedUtil()

## Method Details

### registerLog4jMBeans

public static void registerLog4jMBeans() throws JMException
Register the log4j JMX mbeans. Set system property "zookeeper.jmx.log4j.disable" to true to disable registration.

Throws:
  `JMException` - if registration fails
See Also:
  - Log4J 1.2 API docs